#!/bin/sh
#
# This is a scorpio23 startup file, it will create all neccessary settings
# in "$HOME"/.scorpio23
# Scorpio needs its .ini file in its start location. 
# It is hardwired so please use this startup file
# 
# This script was sligtly modified from a script originally written by Oliver Korff <ok@xynyx.de> 


if [ ! -d "$HOME"/.scorpio23 ] ; then 
		mkdir "$HOME"/.scorpio23 ; 
	fi

if [ ! -d "$HOME"/.scorpio23/log ] ; then
		mkdir "$HOME"/.scorpio23/log ;
	fi

if [ ! -e "$HOME"/.scorpio23/scorpio.ini ] ; then 
		cp /usr/share/scorpio23/scorpio.ini "$HOME"/.scorpio23/ ; 
	fi

if [ ! -e "$HOME"/.scorpio23/book.dat ] ; then
		cp /usr/share/scorpio23/book.dat "$HOME"/.scorpio23/ ;
	fi

cd "$HOME"/.scorpio23/ 

/usr/bin/scorpio23.bin

exit 0
